> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authmatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Identify an opportunity for Web, with transaction id.

> Resolves the visitor using a transaction id generated during the request process (For Web), then records the opportunity.



## OpenAPI

````yaml /openapi.json post /v1/api/opportunity/{transactionId}
openapi: 3.1.0
info:
  title: Authmatech API
  description: API Documentation
  version: '1.0'
servers:
  - url: http://service.authmatech.com
    description: Generated server url
security:
  - ApiKey: []
paths:
  /v1/api/opportunity/{transactionId}:
    post:
      tags:
        - Authmatech Target
      summary: Identify an opportunity for Web, with transaction id.
      description: >-
        Resolves the visitor using a transaction id generated during the request
        process (For Web), then records the opportunity.
      operationId: opportunityForWebWithTransactionId
      parameters:
        - name: X-CLIENT-ID
          in: header
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          description: Generated UUID during the first request process (Via Web SDK)
          required: true
          schema:
            type: string
          example: 0f2a8e20-4d4e-4fce-a19f-4cd9b1e4c3ab
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpportunityGIFForwardingBody'
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
components:
  schemas:
    OpportunityGIFForwardingBody:
      type: object
      properties:
        metadataId:
          type: string
    Response:
      type: object
  securitySchemes:
    ApiKey:
      type: apiKey
      name: X-API-KEY
      in: header

````